Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Features

Retrieve features in the feature collection

get
Authorizations
keystringRequired
keystringRequired
OAuth2clientCredentialsRequired
Token URL:
Path parameters
collectionIdstring · enumRequired

A known collection ID.

Example: asu-gbpcd-postcodeunitarea-1Possible values:
Query parameters
bboxnumber[] · min: 4 · max: 6Optional

The optional bbox parameter specifies a supported bounding box. Only features that have a geometry that intersects the bounding box are selected. The bounding box is provided as four comma-separated numbers:

  • Lower left corner, coordinate axis 1 (e.g. min x axis)
  • Lower left corner, coordinate axis 2 (e.g. min y axis)
  • Upper right corner, coordinate axis 1 (e.g. max x axis)
  • Upper right corner, coordinate axis 2 (e.g. max y axis)
The default coordinate reference system of the values is WGS 84 longitude/latitude (http://www.opengis.net/def/crs/OGC/1.3/CRS84) unless a different coordinate reference system is specified in the parameter bbox-crs.

Example: [-0.183678,51.474968,-0.068321,51.540143]
bbox-crsstring · enumOptional

The coordinate reference system of the bbox parameter. It must be a 2D coordinate reference system supported by the collection. Default is WGS84 longitude/latitude (http://www.opengis.net/def/crs/OGC/1.3/CRS84).

Possible values:
crsstring · enumOptional

The coordinate reference system of the response geometries. It must be a coordinate reference system supported by the collection. Default is WGS84 longitude/latitude (http://www.opengis.net/def/crs/OGC/1.3/CRS84).

Possible values:
datetimestringOptional

Either a local date, a date-time with UTC time zone (Z) or an open or closed interval. Open ranges in time intervals at the start or end are supported using a double-dot (..) or an empty string for the start/end. Date and time expressions adhere to RFC 3339. Examples:

  • A date-time: '2021-12-12T23:20:50Z'
  • A closed interval: '2021-12-12T00:00:00Z/2021-12-18T12:31:12Z'
  • Open intervals: '2021-12-12T00:00:00Z/..' or '../2021-12-18T12:31:12Z'
  • An interval until now: '2018-02-12T00:00:00Z/..' or '2018-02-12T00:00:00Z/'
Selects features that have a temporal property that intersects the value of the parameter.

Example: 2018-02-12T00:00:00Z/..
limitinteger · min: 1 · max: 100Optional

The optional limit parameter limits the number of items that are presented in the response document. Minimum = 1. Maximum = 100. Default = 100.

offsetintegerOptional

The optional offset parameter skips past the specified number of features in the collection. Minimum = 0. Default = 0.

filterstringOptional

The optional filter parameter is a filter expression in CQL format which is applied when retrieving resources to determine which resources are included in a result set.

filter-crsstring · enumOptional

Specify which of the supported CRSs to use to encode geometric values in a filter expression. It must be a 2D coordinate reference system supported by the collection. Default is WGS84 longitude/latitude (http://www.opengis.net/def/crs/OGC/1.3/CRS84).

Possible values:
filter-langstring · enumOptional

The optional filter-lang parameter is the specific language used for the filter parameter. Default = cql-text

Possible values:
Responses
200

A list of features in a feature collection.

application/geo+json
typestringOptional
timeStampstring · date-timeOptional
get/collections/{collectionId}/items
GET /features/ngd/ofa/v1/collections/{collectionId}/items HTTP/1.1
Host: api.os.uk
key: YOUR_API_KEY
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "type": "text",
  "links": [
    {
      "href": "text",
      "rel": "text",
      "type": "text",
      "title": "text"
    }
  ],
  "timeStamp": "2026-01-01T00:00:00.000Z",
  "features": [
    {
      "id": "text",
      "type": "text",
      "geometry": {
        "type": "text",
        "coordinates": [
          {
            "x": 1,
            "y": 1
          }
        ]
      },
      "properties": {
        "ANY_ADDITIONAL_PROPERTY": {}
      }
    }
  ]
}

Last updated

Was this helpful?